textures/durdm1/daytime_sky
{
	qer_editorimage textures/durdm1/blue_sky_up.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256 
	q3map_lightimage textures/durdm1/sky.blend.tga
	q3map_sun	1.000000 1.000000 0.643137 300 345 70
	q3map_surfacelight 250

//	skyparms env/durdm1/blue_sky 512 -
	skyparms env/durdm1/sky 512 -
//	{
//		map textures/durdm1/blue_sky_clouds.tga
//		blendfunc GL_ONE GL_ONE
//		tcMod scroll 0.01 0.01
//		tcMod scale 3 3
//	}
}
textures/durdm1/amberlamp_30000
{
	qer_editorimage textures/base_light/runway.tga
	q3map_lightimage textures/durdm1/amberglow.blend.tga
	q3map_surfacelight 30000
	light 1
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/runway.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/durdm1/amberglow.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/durdm1/street_light_beam
{
//	qer_editorimage textures/durdm1/street_light_beam.tga
    surfaceparm trans	
    surfaceparm nomarks	
    surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	surfaceparm nomipmaps
        //nopicmip
	{
		map textures/durdm1/street_light_beam.tga
        tcMod Scroll .3 0
        blendFunc add
    }
}

textures/durdm1/street_light_bulb
{
//	qer_editorimage textures/durdm1/bulb.tga
	q3map_lightimage textures/durdm1/street_light_bulb.blend.tga
	q3map_surfacelight 8000
	surfaceparm nomarks
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/durdm1/street_light_bulb.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/durdm1/street_light_bulb.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/durdm1/fence
{
    qer_editorimage textures/durdm1/fence.tga
	surfaceparm	metalsteps
    surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
   	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
    nopicmip
	{
		map textures/durdm1/fence.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

models/mapobjects/rsglow01
{
 deformVertexes autoSprite
 surfaceparm trans
 surfaceparm nomarks
 surfaceparm nolightmap
 cull none
 {
 clampmap models/mapobjects/rsglow01.tga
 blendFunc GL_ONE GL_ONE
 }
}

models/mapobjects/rsbulb01
{
	surfaceparm nomarks
	q3map_surfacelight 100
	light 1
	// Square tourquoise light
	{
		map $lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/rsbulb01.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map models/mapobjects/rsbulb01.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/durdm1/rs_spot
{
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
    nomipmaps
	{
		map textures/durdm1/rs_spot.tga
        tcMod Scroll .3 0
        blendFunc GL_ONE GL_ONE
    }
}

textures/durdm1/batlight
{
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
    nomipmaps
	{
		map textures/durdm1/batlight.tga
        blendFunc GL_ONE GL_ONE
    }
}

textures/durdm1/glass
{
	qer_editorimage textures/base_wall/chrome_metal.tga
	surfaceparm	trans
	cull none
	{
		map $lightmap
		tcgen environment
		tcmod scale .25 .25
		blendfunc gl_one gl_one
	}
	{
		map textures/base_wall/chrome_metal.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
	}
}

textures/durdm1/city_windows
{
    qer_editorimage textures/common/qer_mirror.tga
	{
		map textures/base_wall/chrome_env.tga
		tcGen environment
		tcmod scale .25 .25
	}
	{
		map textures/base_wall/chrome_metal.tga
		blendFunc GL_ONE GL_ONE
		detail
      	tcMod scale 0.0693 0.0712
		rgbGen identity
	}
	{
		map $lightmap
        rgbgen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/durdm1/flame_12500
{

	//	*************************************************
	//	*      	Yellow Flame 				*
	//	*      	April 30 1999 Surface Light 7500	*	
	//	*	Please Comment Changes			*
	//	*************************************************
	
//	qer_editorimage textures/sfx/flame1
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	q3map_surfacelight 15000
	

	{
		animMap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	


	{
		map textures/sfx/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}

}

textures/durdm1/billboard
{
	qer_editorimage textures/durdm1/ad.tga
	q3map_lightimage textures/durdm1/ad.tga
    q3map_surfacelight 100

	{
//		map textures/base_wall/main_q3abanner.tga
		map textures/durdm1/ad.tga
	    rgbGen wave square 0 1 0 .25
	}

	{
		map textures/base_wall/comp3text.tga
		blendfunc add
	    rgbGen identity
		tcmod scroll 3 3
	}

	{
		map textures/base_wall/comp3textb.tga
		blendfunc add
	    rgbGen identity
		tcmod scroll 3 3
	}


	{
		map $lightmap
	    rgbGen identity
		blendfunc gl_dst_color gl_zero
	}

	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
	    rgbGen wave sin .25 0 0 0
		blendfunc add
	}	          		
}     